<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<html>
<head>
	<title>掲示板</title>
</head>
<body>
	<form action="<?php echo $PHP_SELF; ?>" method="POST" name="line">
		名前:<input type="TEXT" name="name" value = ""/>
		<textarea name="comment" rows="4" cols="60"></textarea>
		<input type="SUBMIT" value="書き込み/更新"/>
	</form>
	<?php
	$now = date("Y/m/d H:i:s");		//	時間の取得
	$data_file = "./g_book.dat";	//	データファイル名設定
	//	name、commentが空でないならデータの書き込み
	if (($_POST[name] != "") && ($_POST[comment] != "")){
		$name = htmlspecialchars($_POST[name]); 		//	特殊文字のHTMLエントリへの変換
		$comment = htmlspecialchars($_POST[comment]);	
		$comment = nl2br($comment);				//	HTML改行文字の挿入
		$comment = str_replace("\r", "", $comment);	//	文字列の置換
		$comment = str_replace("\n", "", $comment);
		//	ログファイルの区切文字(",")と区別するために文字コード(&#44)に書き換える。 
		$name = str_replace(",", "&#44;",$name);
		$comment = str_replace(",", "&#44;",$comment);
		//	配列要素を文字列により連結
		$input_msg = implode(",", array($name,$comment,$now));
		$message = file($data_file);			//	元のデータを全部読み込む。
		$fp = fopen($data_file, "w");			//	書き込みモードでdata_fileを開く
		rewind($fp);							//	先頭に戻す。
		fputs($fp, $input_msg . "\n");			//	新しいデータを書き込む。
		//	読み込んでおいた全データを書き出し。
		$msg_num = sizeof($message);
		for ($i = 0; $i < $msg_num; $i++){
			fputs($fp, $message[$i]);
		}
		fclose($fp);
		unset($message);					//	保存データを解放。
	}
	//	data_fileの全内容をHTML表示で書き出す。
	$message = file($data_file);
	$msg_count = count($message);
	for($i = 0; $i < $msg_count; $i++){
		list($name2,$comment2,$now2) = split(",", $message[$i]);
		//	記事表示部を生成
		print "<div>\n";
		print "<b>$name2</b>";
		print "<font size=\"2\" color=\"green\"> $now2</font>\n";
		print "<blockquote>$comment2</blockquote>\n";
		print "<hr/>\n";
		print "</div>\n";
	}
	?>
</body>
</html>